Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoStatBase< EOT > Class Template Reference

Base class for all statistics that need to be calculated over the (unsorted) population (I guess it is not really necessary? MS. More...

`#include <eoStat.h>`

Inheritance diagram for eoStatBase< EOT >:

List of all members.

## Public Member Functions
virtual void | lastCall (const eoPop< EOT > &)
virtual std::string | className (void) const

## Detailed Description

### template<class EOT>
class eoStatBase< EOT >

Base class for all statistics that need to be calculated over the (unsorted) population (I guess it is not really necessary? MS.

Depstd::ends, there might be reasons to have a stat that is not an eoValueParam, but maybe I'm just kidding myself, MK)

Definition at line 45 of file eoStat.h.

The documentation for this class was generated from the following file:

- eoStat.h